Subject: bug#67661: 30.0.50; *Completions* has started popping up for icomplete-in-buffer

From: Juri Linkov <[email-masked]>
Date: Mon, 11 Dec 2023 19:15:01 +0200

>>   (completion--in-region-1 start end)
>>
>> If you just remove this line from `completion--in-region` then
>> it should work like you expected without popping up *Completions*.
>
> Thanks, that does indeed restore the behaviour.
>
> Should we change this to a different completion-in-region-function in
> icomplete.el, then?  Or what did you have in mind?

What I think is that ideally icomplete-in-buffer in a regular buffer
should work like in the minibuffer, i.e. to be active all the time.
This is more like completion-preview-mode where in-buffer candidates
are shown as you type, whereas explicitly typing M-C-i pops up
the *Completions* buffer.  Do you agree this would be nice to do?